import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { QuickExpendServer } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-08 17:19
 */
interface QuickExpendServerCU extends ConditionUtil<QuickExpendServerCU> {
    AREA_NAME: FieldUtil<QuickExpendServerCU>;
    ECS_TEMPLATE: FieldUtil<QuickExpendServerCU>;
    APP_TYPE: FieldUtil<QuickExpendServerCU>;
}
declare class QuickExpendServerMU extends TableUtilImpl<QuickExpendServerCU, QuickExpendServer> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): QuickExpendServerCU;
    static get AREA_NAME(): FieldUtil<QuickExpendServerCU>;
    static get ECS_TEMPLATE(): FieldUtil<QuickExpendServerCU>;
    static get APP_TYPE(): FieldUtil<QuickExpendServerCU>;
    get AREA_NAME(): FieldUtil<QuickExpendServerCU>;
    get ECS_TEMPLATE(): FieldUtil<QuickExpendServerCU>;
    get APP_TYPE(): FieldUtil<QuickExpendServerCU>;
}
export { QuickExpendServerMU, QuickExpendServerCU };
